Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  package doclet
  Definition Classes
    doc
-  package html
  Definition Classes
    doc
-  package model
  Definition Classes
    doc
- DocFactory
- DocParser
- Index
- ScaladocAnalyzer
- ScaladocGlobal
- ScaladocGlobalTrait
- ScaladocSyntaxAnalyzer
- Settings
- Uncompilable
- Universe

c

scala.tools.nsc.doc

# DocFactory 

###

#### class DocFactory extends AnyRef

A documentation processor controls the process of generating Scala documentation, which is as follows.

* A simplified compiler instance (with only the front-end phases enabled) * is created, and additional `sourceless` comments are registered. * Documentable files are compiled, thereby filling the compiler's symbol table. * A documentation model is extracted from the post-compilation symbol table. * A generator is used to transform the model into the correct final format (HTML).

A processor contains a single compiler instantiated from the processor's `settings`. Each call to `document` uses the same compiler instance with the same symbol table. In particular, this implies that the scaladoc site obtained from a call to `run` will contain documentation about files compiled during previous calls to the same processor's `run` method.

Self Type
  DocFactory
Source
  DocFactory.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DocFactory
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DocFactory(reporter: Reporter, settings: Settings)

   reporter

     The reporter to which both documentation and compilation errors will be reported.

   settings

     The settings to be used by the documenter and compiler for generating documentation.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DocFactory to any2stringadd[DocFactory] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DocFactory, B)
   Implicit
     This member is added by an implicit conversion from DocFactory to ArrowAssoc[DocFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def document(files: List[String]): Unit

   Generate document(s) for all `files` containing scaladoc documentation.

   Generate document(s) for all `files` containing scaladoc documentation.

   files

     The list of paths (relative to the compiler's source path, or absolute) of files to document.

9.  val documentError: PartialFunction[Throwable, Unit]
10.  def ensuring(cond: (DocFactory) ⇒ Boolean, msg: ⇒ Any): DocFactory
    Implicit
      This member is added by an implicit conversion from DocFactory to Ensuring[DocFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (DocFactory) ⇒ Boolean): DocFactory
    Implicit
      This member is added by an implicit conversion from DocFactory to Ensuring[DocFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): DocFactory
    Implicit
      This member is added by an implicit conversion from DocFactory to Ensuring[DocFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): DocFactory
    Implicit
      This member is added by an implicit conversion from DocFactory to Ensuring[DocFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DocFactory to StringFormat[DocFactory] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def makeUniverse(source: Either[List[String], String]): Option[Universe]

    Creates a scaladoc site for all symbols defined in this call's `source`, as well as those defined in `sources` of previous calls to the same processor.

    Creates a scaladoc site for all symbols defined in this call's `source`, as well as those defined in `sources` of previous calls to the same processor.

    source

      The list of paths (relative to the compiler's source path, or absolute) of files to document or the source code.

22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  val reporter: Reporter
26.  val settings: Settings
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (DocFactory, B)
    Implicit
      This member is added by an implicit conversion from DocFactory to ArrowAssoc[DocFactory] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
33.  object NoCompilerRunException extends Throwable with ControlThrowable
34.  object compiler extends ScaladocGlobal

    The unique compiler instance used by this processor and constructed from its `settings`.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DocFactory to any2stringadd[DocFactory]

### Inherited by implicit conversion StringFormat from DocFactory to StringFormat[DocFactory]

### Inherited by implicit conversion Ensuring from DocFactory to Ensuring[DocFactory]

### Inherited by implicit conversion ArrowAssoc from DocFactory to ArrowAssoc[DocFactory]

### Ungrouped